package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class DicCode {
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private int id;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String codeType;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String codeKey;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String codeValue;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String codeName;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String codeDesc;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String codeGroup;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private BigDecimal ordinal;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String canModifyInd;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String status;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String version;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String entity;
}
