package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:elcsys:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Elcsys {

        //Internal Unique ID of Application Transaction
        private String inr = NULLSTR;

        //系统状态
        private String syssta = NULLSTR;

        //当前日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date sysdat = NULLDATE;

        //线上清算开关
        private String onlnst = NULLSTR;

        //行号行名变�'期数
        private  int bkcgnb ;

        //系统参数变�'期数
        private  int stcgnb ;

        //生效状态
        private String logflg = NULLSTR;













}