package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 分离式保函协议业务表
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Fcn extends AbstractCommonVo {

    private String inr;

    private String ownref;

    private String objref;

    private String idcode;

    private String cusnam;

    private String branch;

    private String ptainr;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date expdat;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date sindat;

    private String sinsta;

    private String comcreref;

    private BigDecimal rate;

    private String branchinr;

    private String extkey;

    private String bchkeyinr;
}
