package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
* TABLE:oit:OIT - Object Infotext
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Oit{

        //Internal Unique ID
        private String inr = NULLSTR;

        //Type of Associated Record
        private String objtyp = NULLSTR;

        //INR of Associated Record
        private String objinr = NULLSTR;

        //Subtype to enable multiple Infotexts per Object
        private String subtyp = NULLSTR;

        //Business Sector
        private String subbus = NULLSTR;

        //Infotext Level
        private String inflev = NULLSTR;

        //Infotext
        private  String inftxt  = NULLSTR;

        //Version
        private String ver = NULLSTR;

        //Entity Group of Infotext
        private String etgextkey = NULLSTR;

        private String path;















}