package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
* TABLE:que:QUE - Interactive Queue
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Spd {

        //Internal Unique ID
        private String inr ;

        //Class
        private String iniusr ;

        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date sndtim ;

        //INR of Object
        private String msgtyp ;

        //Sub ID for an object
        private String reason ;

        //External Readable Object Identification
        private String rntsta ;

        //Reference
        private String rnttxt ;

        private String sptinr ;

        private String ersinr;

        //Additional Reference Information
        private String ftynum ;

        //Hold / Delete Flag
        private String othersno ;

        //Session INR for last upate of HLDFLG
        private String msgfrm ;

        private String resnum ;

        //Load Balance Flag
        private String billid ;

        //Table of Main Contract optional
        private String bchcod ;

}