package com.brilliance.isc.common.invchk.vo;

import com.brilliance.isc.bo.Fftinv;
import com.brilliance.isc.bo.Invuse;
import com.brilliance.isc.bo.Smh;
import com.brilliance.isc.common.fft.Invgrp;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Invp {

    //资产登记编号
    private String assregref;

    //发票代码
    private String invcod;

    //发票号码
    private String invnum;

    //平台外业务类型
    private String bustyp;

    //批注方编号
    private String antnum;

    //批注方名称
    private String antnam;

    //批注日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date antdat;

    //批注事项
    private String antdtl;

    //业务描述
    private String busdcr;

    //发票种类
    private String invtyp;

    //smh关联主键
    private String smhinr;

    private Invgrp invgrp;

    private List<Invuse> invlst;

    private List<Fftinv> invlist;

    //报文内容
    private String msgdat;

    private Smh smh;
}
