package com.brilliance.isc.common.rmbbop.entity;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:tek:银行跟单结算及其他贸易融资业务信息-福费廷信息
 */

@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tek extends AbstractCommonVo {

    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //objtyp
    private String objtyp = NULLSTR;

    //objinr
    private String objinr = NULLSTR;

    //人行报送状态
    private String sta = NULLSTR;

    //明细操作类型
    private String listopertype = NULLSTR;

    //明细主键
    private int seqno;

    //资金融出银行代码
    private String outbankcode = NULLSTR;

    //资金融出银行国家（地区）代码
    private String outcountrycode = NULLSTR;

    //资金融入企业名称
    private String inorgname = NULLSTR;

    //资金融入企业国家（地区）代码
    private String incountrycode = NULLSTR;

    //单证金额
    private BigDecimal contractamt = Decimals.ZERO_SCALE2;

    //数据状态
    private String csta = NULLSTR;

    //确认
    private String acp;


}