package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ord;
import com.brilliance.isc.bo.Trn;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 国结自动退回服务mapper
 *
 
 */
@Mapper
public interface AutoRepairMapper {

    /**
     * 查询非收单行数据
     *
     * @return List 返回结果
     */
    List<Trn> selectUnAcquirerTrn();

    /**
     * 查询收单行数据
     *
     * @return List 返回结果
     */
    List<Ord> selectAcquirerOrd();
}
