package com.brilliance.isc.vo.finance;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class Call6157Vo extends CommonResult {

    /**
     * 账号
     */
    public String finact;

    /**
     * 借据号
     */
    public String fincod;

    /**
     * 还款帐号
     */
    public String setact;

    /**
     * 还款方式
     */
    public String reptyp;

    /**
     * 交易金额
     */
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal setamt  = Decimals.ZERO_SCALE2;

}
