package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class GidSignFilReportVo {
    /**
     * 分行名称
     */
    private String bchname;
    /**
     * 交易编号
     */
    private String ownref;
    /**
     * 开立日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;

    /**
     * 已复核币种
     */
    private String comcur;

    /**
     * 已复核金额
     */

    private BigDecimal comamt;
    /**
     * 到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date expdat;

}
