package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CtyVo extends BaseEntity {
    /**
     * cty主键
     */
    private String inr;
    /**
     * cty国家代码
     */
    private String cod;
    /**
     * cty国家币种
     */
    private String cur;
    /**
     * cty所属大洲
     */
    private String reg;
    /**
     * cty版本号
     */
    private String ver;
    /**
     * cty本国地址类型
     */
    private String fmtdomadrtyp;
    /**
     * cty国际地址类型
     */
    private String fmtintadrtyp;
    /**
     * cty快邮费地区编号
     */
    private String dhlreg;
    /**
     * cty收支申报国家代码
     */
    private String bopcod;
    /**
     * cty国家名称
     */
    private String ctynam;
    /**
     * bopcty主键
     */
    private String inrBopcty;

    /**
     * bopcty国家数字代码
     */
    private String numcodBopcty;
    /**
     * bopcty国家简称
     */
    private String txtBopcty;
    /**
     * bopcty国家全称
     */
    private String fultxtBopcty;
    /**
     * bopcty版本号
     */
    private String verBopcty;

    private String orderStr;

    private String columnStr;
}
