package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FinmodBizInfoVo extends BizInfoVo {

    //trtcre.crefinflg
    private String crefinflg;

    //BPTAME.AMETYP
    //TRTAME.AMETYP
    private String AMETYP;

    //BPDGRP.REC.FORTYP
    private String fortyp;

    //BPDGRP.REC.FFTTYP
    private String ffttyp;

    //TRDGRP.REC.JZLLGZ
    //BPDGRP.REC.JZLLGZ
    private String jzllgz;

    //TRDGRP.REC.fintyp
    //BPDGRP.REC.fintyp
    private String fintyp;

    //BPDGRP.REC.rsktyp
    private String rsktyp;

    //BPDGRP.REC.pnttyp
    private String pnttyp;

    //BPDGRP.REC.opndat
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndat;

    //TRDGRP.REC.stttendat
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date stttendat;

    //TRDGRP.REC.intrat
    //BPDGRP.REC.intrat
    private BigDecimal intrat = BigDecimal.ZERO;

    //BPDGRP.REC.tolrat
    private BigDecimal tolrat = BigDecimal.ZERO;

    //TRDGRP.REC.actrat
    private BigDecimal actrat = BigDecimal.ZERO;

    //TRDGRP.REC.lprtyp
    //BPDGRP.REC.lprtyp
    private String lprtyp;

    //TRDGRP.REC.ovdflg
    //BPDGRP.REC.ovdflg
    private String ovdflg;

    //TRDGRP.REC.finact
    //BPDGRP.REC.finact
    private String finact;

    //BPTBCK.setact
    private String setact;


}
