package com.brilliance.isc.vo.report;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ReportF01Vo {
  private String bchnum; //填报机构代码
  private String fintyp;//"相关业务类型" 默认1
  private String f0102;//"是否附有银行承兑汇票"
  private String f0103;//"境外付款人所属国家/地区"
  private String f0104;//"境外付款人所属部门"
  private String f0105;//"境外付款人与本机构的关系"
  private int intday = 0;//计息天数
  private int oriday = 0;//"原始期限"
  private String oricur;//原始币种
  private BigDecimal lastamt = BigDecimal.ZERO;//上月末余额
  private BigDecimal curamt = BigDecimal.ZERO;;//上月末余额
  private BigDecimal curamt1 = BigDecimal.ZERO;;//本月末余额：其中剩余期限在一年及以下
  private BigDecimal chgamt = BigDecimal.ZERO;;//本月非交易变动
  private BigDecimal cbeamt = BigDecimal.ZERO;;//本月净发生额
  private String remark; //备注
  private String ownref;//业务编号
  private String cur;//币种
  private BigDecimal amt = BigDecimal.ZERO;;//金额
  private String inr;//inr
  @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
  private Date matdat;//到期日
  @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
  private Date opndat;//开立日期

}
