package com.brilliance.isc.esb.model.ccrm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class ItemFOC521 {

    /**
     * 客户号[0,50]
     */
    public String CUST_NO;

    /**
     * 风险等级[0,10]
     * 01：一类
     * 02：二类
     * 03：三类
     */
    public String RISK_LEVEL;

    /**
     * 认定人[0,10]
     * 员工号（柜员号）
     */
    public String IDENT_USER;

    /**
     * 认定时间[0,10]
     * 格式为yyyymmddhh24miss
     */
    public String IDENT_TIME;

    /**
     * 认定原因[0,500]
     */
    public String IDENT_REASON;


}
