package com.brilliance.isc.esb.model.hx;

import java.util.ArrayList;
import java.util.List;

/**
 * 8911 请求对象
 */
public class Req8911 {

    /**
     * 报文编号
     */
    public String MSGSNO;

    /**
     * 业务类型
     */
    public String YWLXDM;

    /**
     * 业务种类
     */
    public String YWZLDM;

    /**
     * 原报文编号
     */
    public String BAOGDH;


    /**
     * 扣款帐号/销帐序号
     */
    public String ZHANGH;

    /**
     * 客户号
     */
    public String KEHHAO;

    /**
     * 汇款账户性质
     */
    public String TZSJLX;

    /**
     * 付款人帐号
     */
    public String FKRZHH;

    /**
     * 付款人名称
     */
    public String FKRMCH;

    /**
     * 付款人地址
     */
    public String FKRDZH;

    /**
     * 货币代号
     */
    public String HUOBDH;

    /**
     * 交易金额
     */
    public String ZFJEE1;

    /**
     * 收款人帐号
     */
    public String SKRZHH;

    /**
     * 收款人名称
     */
    public String SKRMCH;

    /**
     * 收款人地址
     */
    public String SKRDZH;

    /**
     * 收款人开户行行号
     */
    public String SKRKHH;

    /**
     * 收款人开户行名称
     */
    public String ZJG2MC;

    /**
     * 收款行号
     */
    public String SHKHHH;

    /**
     * 加急种类
     */
    public String JIAJZL;

    /**
     * 是否国际申报
     */
    public String SHFOBZ;

    /**
     * 外管业务参号
     */
    public String WAIGCH;

    /**
     * 国结流水号
     */
    public String BAWLS2;

    /**
     * 附言
     */
    public String FUYNH1;

    public List<ItemF89111> F89111 = new ArrayList();

    public static class ItemF89111 {
        /**
         * 费用细则
         */
        public String WAIWBH;

        /**
         * 银行操作代码
         */
        public String DQYHDM;

        /**
         * 规定信息代码
         */
        public String JIOYLB;
    }

    public Req8911() {
    }

    public Req8911(String MSGSNO, String YWLXDM, String YWZLDM, String BAOGDH, String ZHANGH, String KEHHAO, String TZSJLX, String FKRZHH, String FKRMCH, String FKRDZH, String HUOBDH, String ZFJEE1, String SKRZHH, String SKRMCH, String SKRDZH, String SKRKHH, String ZJG2MC, String SHKHHH, String JIAJZL, String SHFOBZ, String WAIGCH, String BAWLS2, String FUYNH1, List<ItemF89111> f89111) {
        this.MSGSNO = MSGSNO;
        this.YWLXDM = YWLXDM;
        this.YWZLDM = YWZLDM;
        this.BAOGDH = BAOGDH;
        this.ZHANGH = ZHANGH;
        this.KEHHAO = KEHHAO;
        this.TZSJLX = TZSJLX;
        this.FKRZHH = FKRZHH;
        this.FKRMCH = FKRMCH;
        this.FKRDZH = FKRDZH;
        this.HUOBDH = HUOBDH;
        this.ZFJEE1 = ZFJEE1;
        this.SKRZHH = SKRZHH;
        this.SKRMCH = SKRMCH;
        this.SKRDZH = SKRDZH;
        this.SKRKHH = SKRKHH;
        this.ZJG2MC = ZJG2MC;
        this.SHKHHH = SHKHHH;
        this.JIAJZL = JIAJZL;
        this.SHFOBZ = SHFOBZ;
        this.WAIGCH = WAIGCH;
        this.BAWLS2 = BAWLS2;
        this.FUYNH1 = FUYNH1;
        F89111 = f89111;
    }
}
