package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 8910组合交易对内响应模型
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerCommpose8910Res {
    public InnerCommpose8910Res() {
    }

    public InnerCommpose8910Res(InnerRes8910 o8910, InnerRes8911 o8911) {
        this.o8910 = o8910;
        this.o8911 = o8911;
    }

    /**
     * 8910报文体
     */
    public InnerRes8910 o8910;
    /**
     * 8911报文体
     */
    public InnerRes8911 o8911;

}
