package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL82  公共-额度流水查询请求
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerReqCL82 {
    /**
     * 起始日
     */
    public String qishrq;
    /**
     * 结束日
     */
    public String jishrq;
    /**
     * 业务编号
     */
    public String ownref;
    /**
     * 交易柜员
     */
    public String bchusr;
    /**
     * 机构代码
     */
    public String accbch;

    public InnerReqCL82() {
    }

    public InnerReqCL82(String qishrq, String jishrq, String ownref, String bchusr, String accbch) {
        this.qishrq = qishrq;
        this.jishrq = jishrq;
        this.ownref = ownref;
        this.bchusr = bchusr;
        this.accbch = accbch;
    }
}
