package com.brilliance.isc.esb.model.inner;

import lombok.Data;

/**
 * 备案表业务列表查询内部请求模型
 */
@Data
public class InnerReqTaxqrylist {
    /**
     * 金融机构标识码
     */
    public String treebankcode;
    /**
     * 操作开始时间
     */
    public String starttime;
    /**
     * 操作结束时间
     */
    public String endtime;
    /**
     * 每页数量
     */
    public String pagesize;
    /**
     * 当前页
     */
    public String currentpage;
    /**
     * 付汇业务编号
     */
    public String taxpaymentcode;
    /**
     * 业务状态
     */
    public String paymentstate;
    /**
     * 备案表编号
     */
    public String taxformcode;
    /**
     * 机构名称或个人姓名
     */
    public String domesticpayername;
    /**
     * 纳税人识别号
     */
    public String domesticpayernumber;
    /**
     * 国际收支申报号
     */
    public String declarecode;
    /**
     * 唯一标识号
     */
    public String msgid;
    /**
     * 金融机构标识码
     */
    public String banksafecode;
}
