package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 核心记账
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes7759 {
    public InnerRes7759() {
    }

    public InnerRes7759(String objectname, String guyls, String jyrq, List<Item7759> lst7759) {
        this.objectname = objectname;
        this.guyls = guyls;
        this.jyrq = jyrq;
        this.lst7759 = lst7759;
    }

    public String objectname;
    /**
     * 柜员流水号
     */
    public String guyls;
    /**
     * 交易日期
     */
    public String jyrq;

    public List<Item7759> lst7759 = new LinkedList<>();

    public static class Item7759 {
        /**
         * 帐号
         */
        public String zhanghao;
        /**
         * 交易金额
         */
        public String jyje;
        /**
         * 帐户余额
         */
        public String zhye;
        /**
         * 客户中文名
         */
        public String khzwm;
    }
}
