package com.brilliance.isc.esb.model.ocr;

import java.util.ArrayList;
import java.util.List;

public class TextDiffExtra {
    /**
     * 业务标识，传业务系统名称，如：aipbcp
     */
    public String sysCode;
    /**
     * 对象存储类型，yw_ecm:影像平台、yw_qy:青云、yw_hw:华为、yw_ift:文件传输
     */
    public String storeType = "yw_ecm";
    /**
     * 影像平台应用号，影像平台必传，其它对象存储忽略
     */
    public String appId;
    /**
     * 影像平台网络ID, 非必须，不传用默认值，其它对象存储忽略
     */
    public String netId;
    /**
     * 影像平台批次号ID，影像平台必传，其它对象存储忽略
     */
    public List<TextDiffExtraDocList> docList = new ArrayList<>();

    public TextDiffExtra() {
    }

    public TextDiffExtra(String sysCode, String storeType, String appId, String netId, List<TextDiffExtraDocList> docList) {
        this.sysCode = sysCode;
        this.storeType = storeType;
        this.appId = appId;
        this.netId = netId;
        this.docList = docList;
    }
}
