package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bet extends AbstractCommonVo {

    //INR of BE Contract
    private String inr = NULLSTR;

    //Discrepancies
    private String docdis = NULLSTR;

    //Reasons for Rejection
    private String docins = NULLSTR;

    //Documents Presented
    private String prsdoc = NULLSTR;

    //Disposal of Documents
    private String disdoc = NULLSTR;

    //Instructions
    private String benins = NULLSTR;

    //Maturity Period
    private String matper = NULLSTR;

    //Internal Discrepancies
    private String intdis = NULLSTR;

    //Comments and Conclusions
    private String comcon = NULLSTR;

    //List of Modified Fields in BEDGRP
    private String fldmodblk = NULLSTR;

    //Charges Added
    private String chaadd = NULLSTR;

    //Charges Deducted
    private String chaded = NULLSTR;

    //Narrative TAG 77A of Incoming MT754
    private String nartxt77a = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

    //Discrepancies modified
    private String docdisflg = NULLSTR;

    //Defaulted content of Discrepancies
    private String docdisdef = NULLSTR;

    //Settlement Instructions transaction field
    private String setinsbe = NULLSTR;

    //New Benificiary Ref.
    private String benref = NULLSTR;
}
