package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @author yangxd
 * @version 1.0
 * @description:
 * @data 2023/7/31 3:45
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cfaerrsel {
    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //对应EBLINR
    private String eblinr = NULLSTR;

    //申报号码
    private String rptno = NULLSTR;

    //创建日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date dat = NULLDATE;

    //错误内容
    private String errtxt = NULLSTR;

    //状态C:Create D:Done
    private String sta = NULLSTR;

    //对应文件名
    private String filnam = NULLSTR;

    //交易的业务参考号
    private String ownref = NULLSTR;
}
