package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:imguse - 业务影像关联表
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Imguse {

    //INR
    private String inr;

    //imf的inr
    private String imfinr;

    //spt的inr
    private String sptinr;

    //影像批次号
    private String imgnum;

    //影像ID
    private String imagid;

    //有效标识
    private String valflg;

    //影像种类
    private String imgflg;

    //影像类型
    private String imgtyp;

    //影像描述
    private String imgdsp;

    //文件类型
    private String filtyp;

    //文件名
    private String filnam;

    //影像文件唯一id
    private String filguid;

    //影像文件text
    private String filtext;

    //业务流水号
    private String trninr;

    //关联业务编号
    private String ownref;

    //发送人行状态
    private String sndsta;

    //发送人行报文msgid
    private String msgid;

    //机构号
    private String branch;

    //系统影像编号
    private String imgref;

    //文件状态
    private String filsta;

    // 判断是收报还是发报
    private String dir;

    //自开自议新关联业务编号
    private String selfownref;
}
