package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * @author : w42697
 * @version : 1.0
 * @ClassName : Lgl
 * @description : LGB与LGO的连接表
 * @date : 2024-05-13 17:23:02
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Lgl {

        private String lgbinr = NULLSTR; //关联LGB表的主键

        private String lgoinr = NULLSTR; //关联LGO表的主键
}