package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:pbl:0
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Pbl{
        //Internal Unique ID
        private String inr = NULLSTR;

        //Version
        private String ver  = NULLSTR;

        //业务主键
        private String levyno  = NULLSTR;

        //Object Type
        private String objtyp  = NULLSTR;

        //Object INR
        private String objinr = NULLSTR;

        //Initial Entity Code
        private String ownextkey  = NULLSTR;

        //建日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat = NULLDATE;

        //业务发生日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date reldat = NULLDATE;

        //Own User
        private String ownusr  = NULLSTR;

        //对应TRNINR
        private String trninr  = NULLSTR;

        //款项类型
        private String trdtyp  = NULLSTR;

        //人行报送状态
        private String sta  = NULLSTR;

        //是否暂存
        private String tmpsav  = NULLSTR;

        //数据状态
        private String adscsta  = NULLSTR;

        //复核状态
        private String relflg  = NULLSTR;
}