package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:smhout:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Smhout {

        //SMHINR
        private String smhinr = NULLSTR;

        //Internal unique Id of SMHOUT
        private String inr = NULLSTR;

        //Object Type of Associated Contract Optional
        private String objtyp = NULLSTR;

        //Object INR of Associated Contract Optional
        private String objinr = NULLSTR;

        //TRN INR
        private String trninr = NULLSTR;

        //Create Date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat = NULLDATE;

        //Version
        private String ver = NULLSTR;

        //Own Reference
        private String ownref = NULLSTR;

        //BRANCHINR
        private String branchinr = NULLSTR;

        //BCHKEYINR
        private String bchkeyinr = NULLSTR;

        //SWIFT53
        private String extkey53 = NULLSTR;

        //ACCOUNT56
        private String acc56 = NULLSTR;

        //SWIFT56
        private String extkey56 = NULLSTR;

        //SWIFT57
        private String extkey57 = NULLSTR;

        //ACCOUNT57
        private String acc57 = NULLSTR;

        //SWIFT58
        private String extkey58 = NULLSTR;

        //ACCOUNT58
        private String acc58 = NULLSTR;

        //SWIFT54
        private String extkey54 = NULLSTR;

        //ACCOUNT54
        private String acc54 = NULLSTR;

        //SWIFT59
        private String extkey59 = NULLSTR;

        //SWIFT52
        private String extkey52 = NULLSTR;

        //ACCOUNT52
        private String acc52 = NULLSTR;

        //ADRBLK52
        private String adrblk52 = NULLSTR;

        //ADRBLK53
        private String adrblk53 = NULLSTR;

        //ADRBLK54
        private String adrblk54 = NULLSTR;

        //ADRBLK56
        private String adrblk56 = NULLSTR;

        //ADRBLK57
        private String adrblk57 = NULLSTR;

        //ADRBLK58
        private String adrblk58 = NULLSTR;

        //ADRBLK59
        private String adrblk59 = NULLSTR;

        //PTYINR52
        private String ptyinr52 = NULLSTR;

        //PTYINR53
        private String ptyinr53 = NULLSTR;

        //PTYINR54
        private String ptyinr54 = NULLSTR;

        //PTYINR56
        private String ptyinr56 = NULLSTR;

        //PTYINR57
        private String ptyinr57 = NULLSTR;

        //PTYINR58
        private String ptyinr58 = NULLSTR;

        //PTYINR59
        private String ptyinr59 = NULLSTR;

        //ACCOUNT59
        private String acc59 = NULLSTR;
}