package com.brilliance.isc.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 任务分配器配置更改记录表
 * @TableName tsklog
 */
@TableName(value ="tsklog")
@Data
public class TaskDistConfigChangelog implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 配置机构号
     */
    private String branchinr;

    /**
     * 变更内容
     */
    private String modifyContent;

    /**
     * 操作人员ID
     */
    private String operatorId;

    /**
     * 操作人员姓名
     */
    private String operatorName;

    /**
     * 操作时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date operationTime;

}