package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ptsaddp {
    //Roles handled
    private IStream rolstm = new StreamImpl();
    //Initial value for ROLSTM in AssertRolstm
    private  IStream rolstmini = new StreamImpl();
    //Status E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;
    //Current row selected
    private  long crtrow;
    //loaded INR
    private  String lodinr = NULLSTR;
    //Flag for controllig Event EXTKEY
    private  String evtextkeyflg = NULLSTR;
    //List of PTSPTA Modules
    private List<Ptsaddg> ptsaddg;
}
