package com.brilliance.isc.common.invchk.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ImfResponseVo {
    //查验编号
    private String imfref;

//    //影像编号
//    private String imgref;

    //业务编号
    private String ownref;

    //发票号码
    private String invnum;

    //发票代码
    private String invcod;

    //创建日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat = NULLDATE;

    //查验编号状态
    private String imfrefsta;

    //销方名称
    private  String salesname = NULLSTR;

    //购买方名称
    private  String purchasername = NULLSTR;

    //创建用户(操作人)
    private String ownusr ;

    //imf的inr
    private String imfinr;
}
