package com.brilliance.isc.common.setmod.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class CommCbsLine {

    private String cur;

    //变动金额
    private BigDecimal amt = BigDecimal.ZERO;

    //变动日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date valueDate = null;

    //费用收取日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date feeDate = null;

    //变动说明
    private String note;

    //OPN 表示起始标识
    private String flag;

    //用来查找实体类 t表
    @JsonIgnore
    private Class<?> clazz;

    //用来查找实体类 t表
    @JsonIgnore
    private String clazzInr;

    //费用代码
    @JsonIgnore
    private String feeCode;

    /**
     * 插入 - I
     * 更新 - U
     */
    @JsonIgnore
    private String action;

}
