package com.brilliance.isc.common.trnlog;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.Date;


/**
* TABLE:trnlog:
*/
@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Trnlog
{

        //主键
        private String inr ;
        //操作开始日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date oprbegdat;
        //操作结束日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date oprenddat;
        //员工inr
        private String oprusrinr ;
        //员工号
        private String oprusr ;
        //员工机构inr
        private String oprbchinr ;
        //员工机构号
        private String oprbch ;
        //交易名称
        private String objnam ;
        //交易名称
        private String objnamstr;
        //交易类型
        private String objtyp ;
        //交易类型
        private String objtypstr;
        //申报号码
        private String rptno ;
        //操作明细
        private String oprdet ;
        //状态
        private String sta ;
        //dblinr
        private String dblinr ;
        //业务编码，流水
        private String lsh ;
        //员工姓名
        private String oprusrnam ;
        //机构名称
        private String oprbchnam ;

        public Trnlog() {
        }

        public Trnlog(String inr, Date oprbegdat, Date oprenddat, String oprusrinr, String oprusr, String oprbchinr, String oprbch, String objnam, String objnamstr, String objtyp, String objtypstr, String rptno, String oprdet, String sta, String dblinr, String lsh, String oprusrnam, String oprbchnam) {
                this.inr = inr;
                this.oprbegdat = oprbegdat;
                this.oprenddat = oprenddat;
                this.oprusrinr = oprusrinr;
                this.oprusr = oprusr;
                this.oprbchinr = oprbchinr;
                this.oprbch = oprbch;
                this.objnam = objnam;
                this.objnamstr = objnamstr;
                this.objtyp = objtyp;
                this.objtypstr = objtypstr;
                this.rptno = rptno;
                this.oprdet = oprdet;
                this.sta = sta;
                this.dblinr = dblinr;
                this.lsh = lsh;
                this.oprusrnam = oprusrnam;
                this.oprbchnam = oprbchnam;
        }
}