package com.brilliance.isc.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * Ptap1-Ptap13组件回填方法getPtsptaInfo结果集
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PtsptaInfoVo {

    private String ptainr = NULLSTR;

    //INR of Associated Party
    private String ptyinr = NULLSTR;

    //Type of Party
    private String ptytyp = NULLSTR;

    //Alternate Technical Key of Associated Address
    private String objkey = NULLSTR;

    //INR of Associated Address
    private String ptaobjinr = NULLSTR;

    //Externally Visible Name of Address
    private String ptanam = NULLSTR;

    //INR of Associated Party
    private String ptaptyinr = NULLSTR;

    //中文名称
    private String cnnam = "";

    //中文地址
    private String cnadr = "";

    //Telephone 1
    private String tel1 = NULLSTR;

    //Country of Domicile
    private String loccty = NULLSTR;

    //ZIP Code/First Part of SWIFT Line 4
    private String loczip = NULLSTR;

    //Textpart of City/Second Part of SWIFT Line 4
    private String loctxt = NULLSTR;

    //地址  电证用
    private String dizhii = NULLSTR;

    //Address Block
    private String adrblk = NULLSTR;

    //Name of Party
    private String ptsnam = NULLSTR;

    //BIC of Address Optional
    private String bic = NULLSTR;

    //帐号
    private  String orcact = NULLSTR;

    private String cur;

    //账号类型
    private String typ;

    private String extkey = NULLSTR;

    private String adr1;

    private String adr2;

    private String adr3;

    private String ptanam1;
}
