package com.brilliance.isc.vo.automatic;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 对复核请求TrnrelRequest的包装，用于自动化
 */
@Data
public class TrnrelRequestVo {
    @ApiModelProperty(value = "业务编号")
    private String ownref;

    @ApiModelProperty(value = "创建时间开始")
    private String inidatfro;

    @ApiModelProperty(value = "创建时间结束")
    private String inidattil;

    @ApiModelProperty(value = "经办柜员")
    private String usrcon;

    @ApiModelProperty(value = "业务状态")
    private String relflg;

    @ApiModelProperty(value = "业务机构")
    private String bchcon;

    @ApiModelProperty(value = "交易代码")
    private String cod;

    @ApiModelProperty(value = "业务标志 1-所有业务；2-国内业务；3-国际业务")
    private String dflg;

    private String transName ;

    private String userId;

    private List<String> selinr;

    private List<String> trninrList;

    private String trninr;

    private String remark;

    private String pageId;

    private int pageSize;

    private int pageNum;

    private String orgBranch;

    private String rw02choice;

    private String ecif0958choice;

    private boolean infoEntrank;

    private boolean infoChkmsg;

    private boolean confirm0958;

    private boolean confirmMainRw02;

    private boolean confirmOthRw02;
}
