package com.brilliance.isc.vo.bop;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Setter
@Getter
@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ArgmodManagerVo extends BaseEntity {

    //账号
    private String acct;

    //业务创建日期 从
    private Date credatmin;

    //至
    private Date credatmax;

    //报送状态
    private String bassta;

    //金融机构标识码
    private String bchcod;

    //操作类型
    private String actiontype;

    //数据来源
    private String datsrc;

    //交易类型
    private String debtype;

    //交易类型
    private String blidebtype;

    //备注
    private String remark;

    //变动日期
    private Date chgdat;

    //【修改日期】
    private Date reldat;

    //【担保号码】
    private String extinf;

    //履约编号
    private String complianceno;

    //【检核状态】
    private String sndflg;

    //机构号
    private String branch;

    //initial code
    private String ownextkey;

    //from
    private Date frmdat;

    //until
    private Date tildat;

    //申报类型
    private String boptyp;

    //业务情况
    private String staflg;

    //申报号码
    private String rptno;

    //业务编号
    private String buscode;

    //操作类型
    private String actiontype1;

    //业务号码
    private String extinfbop;

    //申报信息状态
    private String dclsta;

    //管理信息状态
    private String vrfsta;

    //收入款币种
    private String txccy;

    //人民币帐号/银行卡号
    private String lcyacc;

    //外汇帐号/银行卡号
    private String fcyacc;

    //其它帐号/银行卡号
    private String othacc;

    //组织机构代码
    private String custcod;

    //数据状态
    private String selsta;

    //业务开始日期
    private Date ywcredat;

    //业务结束日期
    private Date ywtildat;

    //NewField
    private String codelabel;

    //日期选择
    private String selectdat;

    //员工号
    private String usr;

    //导入所属机构
    private String bchinr;

    //导入申报日期
    private Date impdat;

    //申报主体名称
    private String custnm;

    private List<String> branchInrs;

    private String ptytyp;

    private String ptynam;
}
