package com.brilliance.isc.vo.component.ore;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;
@Data
public class OreInfoVo {
    private String id = NULLSTR;

    //INR of Parent ORD
    private String ordinr = NULLSTR;

    //INR of SSN where Event was Written
    private String ssninr = NULLSTR;

    //Start of Processing
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date begdattim = NULLDATE;

    //End of Processing
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date enddattim = NULLDATE;

    //Processing Duration in Seconds
    private BigDecimal prcdur  = Decimals.ZERO_SCALE2;

    //Wait Time in Seconds
    private  BigDecimal waidur  = Decimals.ZERO_SCALE2;

    //User ID
    private String usr = NULLSTR;

    //Type of Event
    private String typ = NULLSTR;

    //Transaction
    private String frm = NULLSTR;

    //Object Type of Additional Object Optional
    private String objtyp = NULLSTR;

    //Object INR of Additional Object Optional
    private String objinr = NULLSTR;

    //Entity owning Order
    private String etyextkey = NULLSTR;

    //Rount Txt
    private String routxt = NULLSTR;

    //
    private String bchkeyinr = NULLSTR;


//柜员名称
    private String usrname;

    //机构类型
    private  String bchtype;

    //机构名称
    private String bchname;

    private String branch;

    //步骤
    private String step;

    //任务状态
    private String taskStatus;

    //任务描述
    private String taskDesc;

    //复核意见
    private String  remark;






}
