package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.Bch;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class RptselRequestVo {
   private  String dlselect;//国际/国内报表
   private String begdat;//开始日期
   private String enddat;//截止日期
   private String enddattmp;//截止日期
   private String rpttyp;//报表类型
   private String  branch;//机构号
   private String  sector;//交易类型
   private String  seasta;//是否闭卷
   private BigDecimal seaamt;//最小保证金金额
   private String  dir;//收发报
   private String  gsta;//报文状态
   private String  curbranch;//当前机构号
   private List<Bch> bchLst; //机构集合
   private String objtyp;//交易类型
   private String subtyp;//子业务类型
   private String ptytyp;//客户类型
   private String ptsrol;//角色
   private List<String> stpLst; //停用客户列表
   private String part1;//分区1
   private String part2;//分区2
   private List<String> trnInrs; //trninr列表
   private String inifrm; //交易码
   private String inifrmset;//交易码
   private String pnttyp;//父业务类型
   private String dflg;//国内信用证标志
   private String pntdflg;//父业务国内信用证标志
   private String tenortxt;//大于小于标志
   private int tendays;//远期期限天数
   private String idx; //标记数

   private String dfuflg;//境内外标志
   private String roleid;//角色id
}
