package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import lombok.Data;

@Data
public class OitTableVo extends BaseEntity {
    // 码表语种
    private String stbuil;

    // 账户列表
    private String actinr; // 账号主键
    private String actkey; // 账号编号
    private String actnam; // 账号名称
    private String actcur; // 账号币种

    // 费率列表
    private String fecinr; // 费率主键
    private String feecod; // 费用代码
    private String objtyp; // 生效对象
    private String objnam; // 对象摘要
    private String begdat; // 费用生效日期
    private String enddat; // 费用失效日期

    // 国际保函列表
    private String gidinr; // 业务主键
    private String gidref; // 业务编号
    private String gidnam; // 业务摘要

    // 国内保函/海关保函列表
    private String nidinr; // 业务主键
    private String nidref; // 业务编号
    private String nidnam; // 业务摘要

    // 地址列表
    private String ptainr; // 地址主键
    private String ptakey; // 地址编号
    private String ptanam; // 地址名称
    private String ptanam1; // 地址名称

    // 客户列表
    private String ptyinr; // 客户主键
    private String ptykey; // 客户编号
    private String ptynam; // 客户名称
    private String ptynam1; // 客户名称

    // 当前登录用户的所属机构inr
    private String bchkeyinr;
}
