package com.brilliance.isc.esb.api.rwms;

import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.rwms.ReqRW02;
import com.brilliance.isc.esb.model.rwms.ResRW02;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * rwms 预警系统请求方
 *
 * @restApi
 */
//@RequestMapping("/RWMS")
public interface RwmsClient {

    /**
     * RW02 预警灰名单响应对象
     *
     * @param reqRW02
     * @return
     */
    @PostMapping("/RW02")
    Res<ResRW02> callRW02(Req<ReqRW02> reqRW02);
}
