package com.brilliance.isc.esb.model.inner;

import java.util.List;

/**
 * 对内文本比对接口请求模型
 */
public class InnerReqTextDiff {

    public InnerReqTextDiff() {
    }

    public InnerReqTextDiff(String app, String templateid, List<ItemDoc> doclist) {
        this.app = app;
        this.templateid = templateid;
        this.doclist = doclist;
    }

    /**
     * 文档抽取：textract
     * 文档比对：textdiff
     */
    public String app;
    /**
     * 范本类型ID
     */
    public String templateid;
    /**
     * 影像
     */
    public List<ItemDoc> doclist;


    public static class ItemDoc {

        /**
         * 影像批次ID
         */
        public String docid;
        /**
         * 影像ID，多个用!号分隔，如果只有一个影响id不用传，如果一个批次有多个文件，而只需要其中几个影像文件则传需要的影像ID
         */
        public String imageid;
        /**
         * 影像名称（识别需要用）
         */
        public String imageName;
    }
}
