package com.brilliance.isc.esb.model.inner;


import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 8910  境内外币跨行贷记业务录入、复核
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8910 {
    /**
     * 柜员姓名
     */
    public String guiyxm;
    /**
     * 授权柜员姓名
     */
    public String gulyxm;
    /**
     * 经办索引编号
     */
    public String jbsybh;
    /**
     * 交易摘要信息
     */
    public String jyzyxx;

    public InnerResO89102 resO89102;

    public InnerResO89103 resO89103;

    public InnerRes8910(String guiyxm, String gulyxm, String jbsybh, String jyzyxx, InnerResO89102 resO89102, InnerResO89103 resO89103) {
        this.guiyxm = guiyxm;
        this.gulyxm = gulyxm;
        this.jbsybh = jbsybh;
        this.jyzyxx = jyzyxx;
        this.resO89102 = resO89102;
        this.resO89103 = resO89103;
    }

    public InnerRes8910() {
    }

}
