package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 核心系统提供根据帐号查询账户信息响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResC017 {
    public List<ItemC017> lstC017 = new LinkedList<>();

    public InnerResC017() {
    }

    public InnerResC017(List<ItemC017> lstC017) {
        this.lstC017 = lstC017;
    }

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class ItemC017 {
        /**
         * 业务代号
         */
        public String yewudh;
        /**
         * 起存金额
         */
        public String qcunje;

    }
}
